Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Load_Store_pointer_unit/SelfTest/configuration.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Load_Store_pointer_unit/SelfTest/configuration.cfg	(revision 142)
+++ 	(revision )
@@ -1,10 +1,0 @@
-Load_Store_pointer_unit
-1	1	*2	# nb_front_end                            
-1	1	*2	# nb_context                       [0]    [nb_front_end]
-1	1	*2	# nb_load_store_queue              
-2	4	*2	# size_store_queue                 [0]    [nb_load_store_queue]
-1	4	*2	# size_load_queue                  [0]    [nb_load_store_queue]
-1	4	*4	# nb_inst_memory                   [0]    [nb_load_store_queue]
-0	0	+1	# link_load_store_unit_with_thread [0][0] [nb_front_end][nb_context]
-1	4	*4	# nb_inst_insert
-1	4	*4	# nb_inst_retire
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Load_Store_pointer_unit/SelfTest/configuration/configuration.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Load_Store_pointer_unit/SelfTest/configuration/configuration.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Load_Store_pointer_unit/SelfTest/configuration/configuration.gen	(revision 145)
@@ -0,0 +1,10 @@
+Load_Store_pointer_unit
+1	1	*2	# nb_front_end                            
+1	1	*2	# nb_context                       [0]    [nb_front_end]
+1	1	*2	# nb_load_store_queue              
+2	4	*2	# size_store_queue                 [0]    [nb_load_store_queue]
+1	4	*2	# size_load_queue                  [0]    [nb_load_store_queue]
+1	4	*4	# nb_inst_memory                   [0]    [nb_load_store_queue]
+0	0	+1	# link_load_store_unit_with_thread [0][0] [nb_front_end][nb_context]
+1	4	*4	# nb_inst_insert
+1	4	*4	# nb_inst_retire
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Load_Store_pointer_unit/include/Load_Store_pointer_unit.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Load_Store_pointer_unit/include/Load_Store_pointer_unit.h	(revision 142)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Load_Store_pointer_unit/include/Load_Store_pointer_unit.h	(revision 145)
@@ -112,5 +112,5 @@
   private   : uint32_t                       * internal_RETIRE_LSQ          ; // [nb_inst_retire]
   private   : Tlsq_ptr_t                     * internal_RETIRE_PTR          ; // [nb_inst_retire]
-  private   : Tcontrol_t                    ** internal_RETIRE_EVENT_ACK    ;//[nb_front_end][nb_context]
+  private   : Tcontrol_t                    ** internal_RETIRE_EVENT_ACK    ; //[nb_front_end][nb_context]
 
 #endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Load_Store_pointer_unit/src/Load_Store_pointer_unit_genMealy_insert.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Load_Store_pointer_unit/src/Load_Store_pointer_unit_genMealy_insert.cpp	(revision 142)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Load_Store_pointer_unit/src/Load_Store_pointer_unit_genMealy_insert.cpp	(revision 145)
@@ -27,7 +27,6 @@
     if (PORT_READ(in_NRESET))
       {
-    // TODO : limité à nb_inst_memory le nombre d'accès par lsq !!!
-
-    uint32_t   nb_use_lsq            [_param->_nb_load_store_queue];
+    // Limit at nb_inst_memory access per load_store_queue
+    // uint32_t   nb_use_lsq            [_param->_nb_load_store_queue];
     Tlsq_ptr_t STORE_QUEUE_PTR_WRITE [_param->_nb_load_store_queue];
     bool       STORE_QUEUE_USE       [_param->_nb_load_store_queue][_param->_max_size_store_queue];
@@ -38,5 +37,5 @@
     for (uint32_t i=0; i<_param->_nb_load_store_queue; i++)
       {
-        nb_use_lsq            [i] = _param->_nb_inst_memory[i];
+        // nb_use_lsq            [i] = _param->_nb_inst_memory[i];
 
         STORE_QUEUE_PTR_WRITE [i] = reg_STORE_QUEUE_PTR_WRITE [i];
@@ -82,7 +81,7 @@
                 // Test if a previous instruction use the same lsq
                 // Authorize once memory access by load store unit
-                if (nb_use_lsq [lsq] > 0)
+                // if (nb_use_lsq [lsq] > 0)
                   {
-                    nb_use_lsq [lsq] --;
+                    // nb_use_lsq [lsq] --;
                     
                     uint32_t   ptr;
